org.vishia.guiViewCfg

## Class OamShowValues

- java.lang.Object
- - org.vishia.guiViewCfg.OamShowValues

-     public class OamShowValues
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `OamShowValues.ColoredWidget` Information to a widget, which is colored by the value.
    `(package private) static class` | `OamShowValues.ValueColorAssignment`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ByteDataSymbolicAccessReadConfig` | `accessOamVariable` Index (fast access) of all variable which are sent from the automation device (contained in the cfg-file).
    `(package private) GralUserAction` | `actionSetValueTestInInput`
    `(package private) GralColor` | `colorBackValueOk`
    `(package private) GralColor` | `colorBackValueOld`
    `(package private) boolean` | `dataValid`
    `(package private) java.util.Set<java.util.Map.Entry<java.lang.String,GralWidget>>` | `fieldsToShow`
    `protected GralMng_ifc` | `guiAccess` The access to the gui, to change data to show.
    `(package private) Report` | `log`
    `private long` | `milliSecondsOk` Time for valid values.
    `GralPanelActivated_ifc` | `tabActivatedImpl` Agent instance to offer the interface for updating the tab in the main TabPanel
    `(package private) long` | `timeMilliSecFromBaseyear`
    `private long` | `timeNow` Set in `writeValuesOfTab()` to check newless.
    `(package private) ByteDataSymbolicAccess.Variable` | `varTimeMilliSecFromBaseyear` The access to received data for the timestamp as milliseconds after a base year.
    `static int` | `version` Version and history 2012-02-25 Hartmut new: OamShowValues: with time, grayed if old 2012-02-25 Hartmut new: CurveView: All data have a short timestamp.
    `(package private) java.util.List<GralWidget>` | `widgetsInTab`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OamShowValues(Report log, GralMng_ifc guiAccess)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) boolean` | `callMethod(GralWidget widgetInfo)`
    `(package private) void` | `debugStop()`
    `(package private) ByteDataSymbolicAccess.Variable` | `getVariable(java.lang.String sDataPath, int[] ixArrayA)`
    `(package private) ByteDataSymbolicAccess.Variable` | `getVariableFromContentInfo(GralSetValue_ifc widgetInfo)`
    `boolean` | `readVariableCfg()`
    `private void` | `redrawCurveValues()`
    `(package private) void` | `setBar(GralWidget widgetInfo)`
    `void` | `setFieldsToShow(java.util.Set<java.util.Map.Entry<java.lang.String,GralWidget>> fields)`
    `(package private) void` | `setValue(GralWidget widgetInfo)`
    `void` | `show(byte[] binData, int nrofBytes, int from)` This routine presents the new received values at the GUI or saves values in traces.
    `(package private) void` | `showBinFromByte(GralWidget widgetInfo)`
    `void` | `showRedraw()`
    `(package private) void` | `stop()`
    `(package private) void` | `widgetSetColor(java.lang.String sName, java.lang.String[] sParam, GralWidget widgetInfo)`
    `private void` | `writeField(GralWidget widgetInfo)`
    `(package private) void` | `writeValuesOfTab()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version and history
      - 2012-02-25 Hartmut new: OamShowValues: with time, grayed if old
      - 2012-02-25 Hartmut new: CurveView: All data have a short timestamp.
      - 2012-02-21 Hartmut chg Now a curve view can be accessed symbolically.
      - 2010-06-00 Hartmut created
      See Also:
        Constant Field Values

    - #### log

          final Report log

    - #### accessOamVariable

          protected final ByteDataSymbolicAccessReadConfig accessOamVariable

      Index (fast access) of all variable which are sent from the automation device (contained in the cfg-file).

    - #### dataValid

          boolean dataValid

    - #### widgetsInTab

          java.util.List<GralWidget> widgetsInTab

    - #### guiAccess

          protected final GralMng_ifc guiAccess

      The access to the gui, to change data to show.

    - #### fieldsToShow

          java.util.Set<java.util.Map.Entry<java.lang.String,GralWidget>> fieldsToShow

    - #### varTimeMilliSecFromBaseyear

          ByteDataSymbolicAccess.Variable varTimeMilliSecFromBaseyear

      The access to received data for the timestamp as milliseconds after a base year. It is not null if that variable is contained in the received data description See `readVariableCfg()`.

    - #### colorBackValueOk

          GralColor colorBackValueOk

    - #### colorBackValueOld

          GralColor colorBackValueOld

    - #### timeMilliSecFromBaseyear

          long timeMilliSecFromBaseyear

    - #### timeNow

          private long timeNow

      Set in `writeValuesOfTab()` to check newless.

    - #### milliSecondsOk

          private final long milliSecondsOk

      Time for valid values.
      See Also:
        Constant Field Values

    - #### tabActivatedImpl

          public final GralPanelActivated_ifc tabActivatedImpl

      Agent instance to offer the interface for updating the tab in the main TabPanel

    - #### actionSetValueTestInInput

          final GralUserAction actionSetValueTestInInput

  - ### Constructor Detail

    - #### OamShowValues

          public OamShowValues(Report log,
                               GralMng_ifc guiAccess)

  - ### Method Detail

    - #### readVariableCfg

          public boolean readVariableCfg()

    - #### setFieldsToShow

          public void setFieldsToShow(java.util.Set<java.util.Map.Entry<java.lang.String,GralWidget>> fields)

    - #### show

          public void show(byte[] binData,
                           int nrofBytes,
                           int from)

      This routine presents the new received values at the GUI or saves values in traces.
      It is possible that this routine is called more as one time after another. That is if more as one data set are transfered in 1 datagram. Because that a redraw isn't send here, see `showRedraw()`
      Parameters:
        `binData` -
        `nrofBytes` -
        `from` -

    - #### showRedraw

          public void showRedraw()

    - #### writeField

          private void writeField(GralWidget widgetInfo)

    - #### writeValuesOfTab

          @Deprecated
          void writeValuesOfTab()

      Deprecated.

    - #### getVariableFromContentInfo

          ByteDataSymbolicAccess.Variable getVariableFromContentInfo(GralSetValue_ifc widgetInfo)

    - #### getVariable

          ByteDataSymbolicAccess.Variable getVariable(java.lang.String sDataPath,
                                                      int[] ixArrayA)

    - #### callMethod

          boolean callMethod(GralWidget widgetInfo)

    - #### widgetSetColor

          void widgetSetColor(java.lang.String sName,
                              java.lang.String[] sParam,
                              GralWidget widgetInfo)

    - #### showBinFromByte

          void showBinFromByte(GralWidget widgetInfo)

    - #### setValue

          void setValue(GralWidget widgetInfo)

    - #### setBar

          void setBar(GralWidget widgetInfo)

    - #### redrawCurveValues

          private void redrawCurveValues()

    - #### stop

          void stop()

    - #### debugStop

          void debugStop()